package com.yihu.jw.entity.iot.copdDevice;

import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * Created by Bing on 2021/4/14.
 * 华米医疗设备运动数据
 */
@Entity
@Table(name="wlyy_copd_huami_rundate")
public class WlyyCopdHuamiRundateDO extends UuidIdentityEntity {
    private String  deviceSn;  //设备sn码
    private String  date;   //数据的本地生成日期，格式为yyyy-MM-dd
    private String  lastSyncTime; //数据上传到华米后端的时间戳
    private String  steps;  //总步数
    private String  distance;   //包含行走距离和跑步距离在内的总距离，单位为米
    private String  runDistance;   //跑步距离，单位为米，仅在时间间隔为每日的情况下使用
    private String  runTime;   //跑步时间，单位为分钟，仅在时间间隔为每日的情况下使用
    private String  walkTime;  //行走时间，单位为分钟，仅在时间间隔为每日的情况下使用
    private String  calories;   //热量总消耗，单位为千卡
    private String  runCalories;   //跑步消耗热量，单位为千卡，仅在时间间隔为每日的情况下使用
    private String  hour;   //步数分段信息（起止时间不是按照小时来的），用于记录快走慢走跑步等步数类型的数据

    @Column(name="device_sn")
    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn;
    }

    @Column(name="date")
    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    @Column(name="last_sync_time")
    public String getLastSyncTime() {
        return lastSyncTime;
    }

    public void setLastSyncTime(String lastSyncTime) {
        this.lastSyncTime = lastSyncTime;
    }

    @Column(name="steps")
    public String getSteps() {
        return steps;
    }

    public void setSteps(String steps) {
        this.steps = steps;
    }

    @Column(name="distance")
    public String getDistance() {
        return distance;
    }

    public void setDistance(String distance) {
        this.distance = distance;
    }

    @Column(name="run_distance")
    public String getRunDistance() {
        return runDistance;
    }

    public void setRunDistance(String runDistance) {
        this.runDistance = runDistance;
    }

    @Column(name="run_time")
    public String getRunTime() {
        return runTime;
    }

    public void setRunTime(String runTime) {
        this.runTime = runTime;
    }

    @Column(name="walk_time")
    public String getWalkTime() {
        return walkTime;
    }

    public void setWalkTime(String walkTime) {
        this.walkTime = walkTime;
    }

    @Column(name="calories")
    public String getCalories() {
        return calories;
    }

    public void setCalories(String calories) {
        this.calories = calories;
    }

    @Column(name="run_calories")
    public String getRunCalories() {
        return runCalories;
    }

    public void setRunCalories(String runCalories) {
        this.runCalories = runCalories;
    }

    @Column(name="hour")
    public String getHour() {
        return hour;
    }

    public void setHour(String hour) {
        this.hour = hour;
    }
}
